Running Firefox from second Glibc

Matthias B. msbREMOVE-THIS at winterdrache.de
Sun Oct 10 10:45:34 PDT 2004


On Sat, 09 Oct 2004 21:05:06 +0000 "Cliff McDiarmid"
<cliffhanger at gardener.com> wrote:

>  
> I've just installed the new Firfox 1.0 and it refuses to run, giving the
> following error: 
>  
> ./firefox-bin: /lib/libc.so.6: version `GLIBC_2.3' not found (required
> by ./firefox-bin) ./firefox-bin: /lib/libc.so.6: version `GLIBC_2.3' not
> found (required by /usr/local/firefox/libmozjs.so) etc 
> etc 

As you can see from the message, the program tries to load /lib/libc.so.6,
so it doesn't use the library path you provide in your script. As I don't
have firefox I have no idea, why that is. Are you sure your script is
intact? 
Anyway, try using 

export LD_LIBRARY_PATH=/usr/local/glibc2/lib

instead of your script. Maybe that works.

MSB

-- 
Where...the ENIAC is equipped with 18000 vacuum tubes and weighs 30 tons,
computers in the future may have 1000 vacuum tubes and perhaps weigh just
1-1/2 tons.

Popular Mechanics, March 1949, p.258




More information about the blfs-support mailing list